PHP K�sikirja
Edellinen |  | Seuraava

# SoapServer->setClass()

SoapServer->setClass() -- Sets class which will handle SOAP requests

## Description

class SoapServer {
void setClass ( string class_name [, mixed args] )
}

Exports all methods from specified class.

The object can be made persistent across request for a given PHP session with the SoapServer->setPersistence() method.

## Parameters

class_name

  The name of the exported class.

args

  This optional parameter will be passed to the default class constructor during object creation.

## Return values

No value is returned.

## Examples

Esimerkki 1. Some examples

`<?php class foo { function foo() { } } $server->setClass("foo"); class bar { function bar($x, $y) { } } $server->setClass("bar", $arg1, $arg2); ?>`

## See Also

SoapServer->__construct()
SoapServer->addFunction()
SoapServer->setPersistence()

Edellinen | Alkuun | Seuraava
SoapServer->handle() | Ylös | SoapServer->setPersistence()